% Distributions
clear;
% ---- Dice Roll Distribution ----
numDice = 2;
faces = 6;
trials = 10;
n=1:trials;
die = fix(faces*(rand(numDice,trials))+1);
addColumns = ones(1,numDice);
randomSample = addColumns*die;

range = faces*numDice;
figure(1)
    binWidth = 1;
    x = -range:binWidth:range;
    histogram = histc(randomSample, x);
    distribution = histogram/trials;
    bar(x, distribution)
    xlim([1 range+1])
    title('Probability distribution')       
    xlabel('x')
    ylabel('P(x)')
    
figure(2)
    cdf = cumsum(distribution);
    bar(x, cdf ,'r')
    xlim([1 range+1])
    title('Cumulative distribution functions')       
    xlabel('x')
    ylabel('P(x)')