% Distributions
clear; 
% ---- Uniform Distribution ----
trials = 10;
randomSample = 2*rand(1,trials);
expectation = ones(1,trials);
expectation(1,:) = mean(randomSample(1,:));
stdev = ones(1,trials);
stdev = std(randomSample)*stdev;
figure(1)
    range = 3;
	plot(randomSample, '*')
    hold on
    plot(expectation, '-r')
    plot(expectation+stdev, '--g')
    plot(expectation-stdev, '--g')
    hold off
    axis([0 trials -1 range]);
    title('Sample set')       
    xlabel('trial')
    ylabel('Sample value')
    grid on
    
figure(2)
    binWidth = 0.5;     % precision of probability distribution
    x = -range:binWidth:range;
    histogram = hist(randomSample, x);     
    distribution = histogram/trials;
    cdf = cumsum(distribution);
    bar(x, cdf ,'r')
    hold on
    stem(x, distribution, 'fill')
    plot( [expectation(1) expectation(1)], [0 1], '-r')
    plot( [expectation(1)-stdev(1) expectation(1)-stdev(1)], [0 1], '--g')
    plot( [expectation(1)+stdev(1) expectation(1)+stdev(1)], [0 1], '--g')
    hold off
    xlim([-1 range])
     title('Probability density')       
     xlabel('x')
     ylabel('P(x)')
