% Distributions
clear;
% ---- Bernoulli Trials ----
n = 1;
p = 0.5;   % 0 < p < 0.5
samples = 100;
run =1:samples;
success = fix(2*(rand(n,samples)-(0.5-p)));
addColumns = ones(1,n);
randomSample = addColumns*success;
relFreq = cumsum(randomSample)./run;
expectation = ones(1,samples);
expectation(1,:) = mean(randomSample(1,:));
stdev = ones(1,samples);
stdev = std(randomSample)*stdev;

%binomial distribution
   k = [0:1:n];
   C_nk = gamma(n+1)./(gamma(k+1).*gamma(n-k+1) );
   Pk = C_nk.*p.^k.*(1-p).^(n - k);
%Pk = binopdf(k,n,p);

range = n + 1;
k =0:n;

figure(1)
	plot(randomSample, '*')
    hold on
    plot(relFreq, '.r')
    plot(expectation, '-r')
    plot(expectation+stdev, '--g')
    plot(expectation-stdev, '--g')
    hold off
    axis([1 samples -1 range]);
    title('Bernoulli samples')       
    xlabel('run')
    ylabel('Sample value')
    grid on

figure(2)
    binWidth = 1;
    x = -range:binWidth:range;
    histogram = histc(randomSample, x);
    bar(x, histogram/samples)
    hold on
    stem(k,Pk, 'r')
    hold off
    xlim([-1 range])
    title('Probability distribution')       
    xlabel('k')
    ylabel('P(k)')